/*
 * @Company: 沈阳信诚科技
 * @Email: html_venustar@163.com
 * @Author: Liuqiming
 * @Description: 生产信息录入接口
 * @LastEditors: Liuqiming
 * @LastEditTime: 2024-02-23 11:44:04
 * @Date: 2024-02-20 13:53:49
 */
import request from '@/utils/request'
// 浇铸计划 -- 浇次
export function getCastTimesNoList() {
  return request({
    url: '/business/castingplan/getCastTimesNoList',
    method: 'post',
  })
}
// 加料 -- 物料名称
export function materialInfoList(data) {
  return request({
    url: '/business/materialInfo/list',
    method: 'post',
    data
  })
}
// 加料 -- 新增
export function chargingInAdd(data) {
  return request({
    url: '/chargingIn/add',
    method: 'post',
    data
  })
}
// 加料 -- 列表
export function getChargingInList(data) {
  return request({
    url: '/chargingIn/list',
    method: 'post',
    data
  })
}
// 加料 -- 编辑
export function chargingInEdit(data) {
  return request({
    url: '/chargingIn/edit',
    method: 'post',
    data
  })
}
// 加料 -- 编辑
export function chargingInRemove(ids) {
  return request({
    url: '/chargingIn/remove/' + ids,
    method: 'post',
  })
}
// 质量 -- 新增
export function qualityAddApi(data) {
  return request({
    url: '/quality/add',
    method: 'post',
    data
  })
}
// 质量 -- 列表
export function qualityListApi(data) {
  return request({
    url: '/quality/list',
    method: 'post',
    data
  })
}
// 质量 -- 编辑
export function qualityEditApi(data) {
  return request({
    url: '/quality/edit',
    method: 'post',
    data
  })
}
// 质量 -- 删除
export function qualityRemoveApi(ids) {
  return request({
    url: '/quality/remove/' + ids,
    method: 'post',
  })
}
// 质量 -- 铸坯编号
export function qualityCastingList() {
  return request({
    url: '/quality/castingList',
    method: 'post',
  })
}
// 异常事件 -- 新增
export function abnormalAddApi(data) {
  return request({
    url: '/abnormalEventInformation/add',
    method: 'post',
    data
  })
}
// 异常事件 -- 列表
export function abnormalListApi(data) {
  return request({
    url: '/abnormalEventInformation/list',
    method: 'post',
    data
  })
}
// 异常事件 -- 编辑
export function abnormalEditApi(data) {
  return request({
    url: '/abnormalEventInformation/edit',
    method: 'post',
    data
  })
}
// 异常事件 -- 删除
export function abnormalRemoveApi(ids) {
  return request({
    url: '/abnormalEventInformation/remove/' + ids,
    method: 'post',
  })
}
