/*
 * @Company: 沈阳信诚科技
 * @Email: html_venustar@163.com
 * @Author: Liuqiming
 * @Description: 铸坯追溯-切片查询表格配置
 * @LastEditors: Liuqiming
 * @LastEditTime: 2024-03-25 16:45:18
 * @Date: 2024-02-26 14:16:09
 */

export const init = () => {
  const searchList = ref([])
  const btnList = ref([])
  const columns = ref([
    {
      label: "设备名称",
      prop: "equipmentName",
      minWidth: 120
    },
    {
      label: "设备坐标",
      prop: "equipmentCoordinate",
      minWidth: 100
    },
    {
      label: "该切片经过设备的时间",
      prop: "sliceTime",
      minWidth: 100
    },
  ])

  // 表格表单公共配置
  const tableOption = ref({
    checkbox: false, // 是否展示多选框
    index: true, // 是否展示序号
    fixed: "left", // 是否将多选框及序号列固定在最左侧
    stripe: true, // 是否斑马纹表格
    border: false, // 是否表格边框
    pageHidden: true, // 是否隐藏分页
    maxHeight: '100vh'
  })
  return {
    searchList,
    btnList,
    columns,
    tableOption,
  }
}
