/*
 * @Company: 沈阳信诚科技
 * @Email: html_venustar@163.com
 * @Author: Liuqiming
 * @Description: 设备参数实时看板配置
 * @LastEditors: Liuqiming
 * @LastEditTime: 2024-03-27 09:23:41
 * @Date: 2024-03-07 11:50:16
 */

export const init = () => {
  const tundishEcharts = ref({
    title:'中间包',
    //Y轴单位
    Yname:'单位：m/min',
    //数据是否从0开始  true不从0开始  false从0开始  如果是柱形图设计到两个量 一定要true 否则 样式回丢失
    boundaryGap:false,
    //横轴X 数据
    XAxle: ['8:00','9:00','10:00','11:00','12:00','13:00'],
    //实际数据如果多条数据 数组里传入两个对象
    actualData:[
      {
        //上方对应名称
        name:'中间包',
        //平滑的线还带弧度  true弧度  false直线
        smooth:true,
        //数据Y
        dataAxle: [10,4,7,11,8,3],
        //线条颜色
        color:'#005AE0',
        //图形 line折现 bar柱
        type:'line'
      },
    ],
    // 是否显示右上角下拉框  ture显示 false不显示
    swtichSelect: true,
    //又上角下拉默认值
    optionsDefault:'2',
    //又上角下拉选着数组
    options:[
      {value: '1',label: '中间包重量',},
      {value: '2',label: '中间包连续测量温度',},
      {value: '3',label: '塞棒当前位置',},
    ]
  })
  const superheatEcharts = ref({
    title:'过热度',
    Yname:'单位：℃',
    boundaryGap:false,
    XAxle: ['8:00','9:00','10:00','11:00','12:00','13:00'],
    actualData:[
      {
        name:'过热度',
        smooth:true,
        dataAxle: [10,4,7,11,8,3],
        color:'#005AE0',
        type:'line'
      },
    ],
    swtichSelect: false,
    optionsDefault:'2',
    options:[]
  })
  const crystallizerEcharts = ref({
    title:'结晶器',
    Yname:'单位:m/min',
    boundaryGap:false,
    XAxle: ['8:00','9:00','10:00','11:00','12:00','13:00'],
    actualData:[
      {
        name:'A流',
        smooth:true,
        dataAxle: [10,4,7,11,8,3],
        color:'#005AE0',
        type:'line'
      },
      {
        name:'B流',
        smooth:true,
        dataAxle: [4,6,10,9,8,3],
        color:'rgba(57, 186, 21, 1)',
        type:'line'
      },
    ],
    swtichSelect: true,
    optionsDefault:'1',
    options:[
      {value: '1',label: '结晶器液位'},
      {value: '2',label: '结晶器冷却水温'}
    ]
  })
  const crystallizerVibrationEcharts = ref({
    title:'结晶器振动',
    Yname:'单位:m/min',
    boundaryGap:false,
    XAxle: ['8:00','9:00','10:00','11:00','12:00','13:00'],
    actualData:[
      {
        name:'A流',
        smooth:true,
        dataAxle: [10,4,7,11,8,3],
        color:'#005AE0',
        type:'line'
      },
      {
        name:'B流',
        smooth:true,
        dataAxle: [4,6,10,9,8,3],
        color:'rgba(57, 186, 21, 1)',
        type:'line'
      },
    ],
    swtichSelect: true,
    optionsDefault:'1',
    options:[
      {value: '1',label: '振动台-行程'},
      {value: '2',label: '振动台-频率'},
      {value: '3',label: '振动台-负滑脱时间'}
    ]
  })
  const castingEcharts = ref({
    title:'铸流电搅',
    Yname:'单位:m/min',
    boundaryGap:false,
    XAxle: ['8:00','9:00','10:00','11:00','12:00','13:00'],
    actualData:[
      {
        name:'A流',
        smooth:true,
        dataAxle: [10,4,7,11,8,3],
        color:'#005AE0',
        type:'line'
      },
      {
        name:'B流',
        smooth:true,
        dataAxle: [4,6,10,9,8,3],
        color:'rgba(57, 186, 21, 1)',
        type:'line'
      },
    ],
    swtichSelect: true,
    optionsDefault:'1',
    options:[
      {value: '1',label: '设定电流'},
      {value: '2',label: '设定频率'},
      {value: '3',label: '实际电流'},
      {value: '4',label: '实际频率'}
    ]
  })
  const endEcharts = ref({
    title:'末端电搅',
    Yname:'单位:m/min',
    boundaryGap:false,
    XAxle: ['8:00','9:00','10:00','11:00','12:00','13:00'],
    actualData:[
      {
        name:'A流',
        smooth:true,
        dataAxle: [10,4,7,11,8,3],
        color:'#005AE0',
        type:'line'
      },
      {
        name:'B流',
        smooth:true,
        dataAxle: [4,6,10,9,8,3],
        color:'rgba(57, 186, 21, 1)',
        type:'line'
      },
    ],
    swtichSelect: true,
    optionsDefault:'1',
    options:[
      {value: '1',label: '设定电流'},
      {value: '2',label: '设定频率'},
      {value: '3',label: '实际电流'},
      {value: '4',label: '实际频率'},
      {value: '5',label: '设定固相厚度'},
      {value: '6',label: '设定固体厚度'}
    ]
  })
  const inductanceEcharts = ref({
    title:'电感加热',
    Yname:'单位:m/min',
    boundaryGap:false,
    XAxle: ['8:00','9:00','10:00','11:00','12:00','13:00'],
    actualData:[
      {
        name:'A流',
        smooth:true,
        dataAxle: [10,4,7,11,8,3],
        color:'#005AE0',
        type:'line'
      },
      {
        name:'B流',
        smooth:true,
        dataAxle: [4,6,10,9,8,3],
        color:'rgba(57, 186, 21, 1)',
        type:'line'
      },
    ],
    swtichSelect: true,
    optionsDefault:'1',
    options:[
      {value: '1',label: '铸坯温度'},
      {value: '2',label: '设定温度'},
      {value: '3',label: '加热时间'},
      {value: '4',label: '目标功率'},
    ]
  })
  return {
    tundishEcharts,
    superheatEcharts,
    crystallizerEcharts,
    crystallizerVibrationEcharts,
    castingEcharts,
    endEcharts,
    inductanceEcharts,
  }
}
