export const init = ({  }) => {
  const searchList = ref([
    {
        label: '时间',
        field: 'timeArray',
        type: 'date',
        enum: 'daterange', // 其他类型枚举 week, month, year, date, daterange
        placeholder: '开始日期-结束日期' // 若选择框枚举类型为daterange， 此值接受 a-b 式截取提示内容展示
    },
    {
        label: '浇次号',
        field: 'castTimesNo',
        placeholder: '请输入'
    },
    {
        label: '钢种',
        field: 'steelGrade',
        placeholder: '请输入'
    },
  ])
  const columns = ref([
    {
      label: "开始日期",
      prop: "beginDate",
      minWidth: 150,
      tooltip:true,
    },
    {
      label: "开始时间",
      prop: "beginTime",
      minWidth: 150,
      tooltip:true,
    },
    {
      label: "出钢日期",
      prop: "tappingDate",
      minWidth: 100,
      tooltip:true,
    },
    {
      label: "出钢时间",
      prop: "tappingTime",
      minWidth: 100,
      tooltip:true,
    },
    {
      label: "浇铸位号",
      prop: "castPositionNo",
      minWidth: 100,
      tooltip:true,
    },
    {
      label: "浇次号",
      prop: "castTimesNo",
      minWidth: 100,
      tooltip:true,
    },
    {
      label: "钢种",
      prop: "steelGrade",
      minWidth: 100,
      tooltip:true,
    },
    {
      label: "钢种代号",
      prop: "matCode",
      minWidth: 100,
      tooltip:true,
    },
    {
      label: "工艺符号",
      prop: "techMark",
      minWidth: 100,
      tooltip:true,
    },
    {
      label: "钢水重量",
      prop: "steelWaterYield",
      minWidth: 100,
      tooltip:true,
    },
    {
      label: "锭型",
      prop: "ingotMold",
      minWidth: 100,
      tooltip:true,
    },
    {
      label: "浇铸数量",
      prop: "castcount",
      minWidth: 100,
      tooltip:true,
    },
    {
      label: "钢锭去向",
      prop: "direction",
      minWidth: 100,
      tooltip:true,
    },
    {
      label: "中间包号",
      prop: "intermedNo",
      minWidth: 100,
      tooltip:true,
    },
    {
      label: "钢锭模号",
      prop: "steelIngotNo",
      minWidth: 100,
      tooltip:true,
    },
    {
      label: "帽口号",
      prop: "hotTopNo",
      minWidth: 100,
      tooltip:true,
    },
    {
      label: "底盘号",
      prop: "chassisNo",
      minWidth: 100,
      tooltip:true,
    },
    {
      label: "操作内容",
      prop: "operContent",
      minWidth: 100,
      tooltip:true,
    },
    {
      label: "工艺编号",
      prop: "processNo",
      minWidth: 100,
      tooltip:true,
    },
    {
      label: "备注",
      prop: "remarks",
      minWidth: 100,
      tooltip:true,
    },
    {
      label: "是否下达",
      prop: "isrelease",
      minWidth: 100,
      tooltip:true,
    },
    {
      label: "是否使用",
      prop: "isuse",
      minWidth: 100,
      tooltip:true,
    },
    {
      label: "旧序号",
      prop: "oldSeqNo",
      minWidth: 100,
      tooltip:true,
    },
    {
      label: "插入时间",
      prop: "insTime",
      minWidth: 100,
      tooltip:true,
    },
    {
      label: "插入人员",
      prop: "insEmpId",
      minWidth: 100,
      tooltip:true,
    },
    {
      label: "修改时间",
      prop: "updTime",
      minWidth: 100,
      tooltip:true,
    },
    {
      label: "修改人员",
      prop: "updEmpId",
      minWidth: 100,
      tooltip:true,
    },
  ])
  const pageSet = ref({
    pageNum: 1,
    pageSize: 10,
    total:0
  })
  const tableOption = ref({
    checkbox: false, // 是否展示多选框
    index: true, // 是否展示序号
    fixed: "left", // 是否将多选框及序号列固定在最左侧
    stripe: true, // 是否斑马纹表格
    border: false, // 是否表格边框
    pageHidden: false // 是否隐藏分页
  })
  return {
    searchList,
    columns,
    pageSet,
    tableOption
  }
}
