
const onDeleteFn = ref(null)
const onModifyFn = ref(null)
export const init = ({ onDelete ,onModify}) => {
  onDeleteFn.value = onDelete
  onModifyFn.value = onModify
  const btnList = ref([
    // { label: '新增', type: 'primary', icon:'Plus', met: 'handlerAdd' },
  ])
  const columns = ref([
    {
      label: "班次",
      prop: "shiftName",
      minWidth: 100
    },
    {
      label: "排班顺序",
      prop: "orderSort",
      minWidth: 100
    },
    {
      label: "开始时间",
      prop: "startTimeStr",
      minWidth: 100
    },
    {
      label: "结束时间",
      prop: "endTimeStr",
      minWidth: 100
      },
    {
      label: "操作",
      minWidth: 100,
      slots: (row) => {
        return (<>
                <el-button type="primary" link v-hasPermi={['sf:shift:edit']}  onClick={() => onModifyFn.value(row)}>编辑</el-button>
                {/* <el-button type="danger" link icon="Delete" onClick={() => onDeleteFn.value(row)}>删除</el-button> */}
               </>)
               }
    },
  ])
  const pageSet = ref({
    pageNum: 1,
    pageSize: 10,
    total:0
  })
    // 表格配置项目
    const tableOption = ref({
      checkbox: false, // 是否展示多选框
      index: false, // 是否展示序号
      fixed: "left", // 是否将多选框及序号列固定在最左侧
      stripe: true, // 是否斑马纹表格
      border: false, // 是否表格边框
      pageHidden: true // 是否隐藏分页
    })
  // form表单组件
  const fieldList = ref([
    {
      label: '班次',
      field: 'shiftName',
      width:'320px',
      rules: [{required: true,message: '请输入班次名称',trigger: 'blur'}],
      placeholder: '请输入班次名称'
    },
    {
        label: '开始时间',
        width:'320px',
        field: 'startTime',
        type: 'timeSelect',
        start: '00:00',
        step: '00:30',
        end: '23:30',
        rules: [{required: true,message: '请选择开始时间',trigger: 'blur'}],
        placeholder: '请选择开始时间' // 若选择框枚举类型为daterange， 此值接受 a-b 式截取提示内容展示
      },
      {
        label: '结束时间',
        width:'320px',
        field: 'endTime',
        type: 'timeSelect',
        start: '00:00',
        step: '00:30',
        end: '23:30',
        rules: [{required: true,message: '请选择结束时间',trigger: 'blur'}],
        placeholder: '请选择结束时间' // 若选择框枚举类型为daterange， 此值接受 a-b 式截取提示内容展示
      },
  ])
    // 表单配置项目
    const formOption = ref({
      inline: false,  // 是否行内模式表单
      labelWidth: '120px',  // 表单标签宽度
      scrollToError: true,  // 自动滚动到校验失败的第一项
      btnCenter: true, // 表单的查询提交等按钮是否展示在中间，弹窗通用展示中间
      btn: ['submit', 'cancel'] // 按钮展示组
    })
  const formData = ref({}) // 回显赋值用
  return {
    btnList,
    columns,
    pageSet,
    tableOption,
    fieldList,
    formOption,
    formData
  }
}
